/* styles_questboard.css */

body {
  font-family: Arial, sans-serif;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-image: url("/Images/Background/Background_1.jpg");
  background-attachment: fixed;
  background-size: cover;
  background-position: center;
}

h1 {
  text-align: center;
  margin-top: 10px;
  color: white;
  font-family: "Georgia", serif;
  margin-bottom: 0;
  font-size: 48px;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
}

.container {
  text-align: center;
}

#main-container {
  display: flex;
  justify-content: space-around;
  align-items: flex-start;
  width: 90%;
  height: 90vh;
}

#result-section,
#input-section {
  width: 100%;
  padding: 20px;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  gap: 3px;
}

h3 {
  text-align: center;
  margin-top: 0px;
  margin-bottom: 0px;
  color: white;
  font-family: "Georgia", serif;
  font-size: 24px;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
}

input[type="text"],
select {
  width: 97%;
  margin: 5px 0;
  padding: 8px;
  border-radius: 5px;
  border: none;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.3);
}

button {
  margin: 5px 0;
  padding: 8px;
  border-radius: 5px;
  border: none;
  cursor: pointer;
  transition: 0.5s;
  background-color: #3f51b5;
  color: white;
  width: 100%;
}

button:hover {
  background-color: #2c3e50;
}
.button-container {
  display: flex;
}

.button-container button {
  flex: 1;
  margin: 5px;
  padding: 8px;
  border-radius: 5px;
  border: none;
  cursor: pointer;
  transition: 0.5s;
  background-color: #3f51b5;
  color: white;
}

.button-container button:hover {
  background-color: #2c3e50;
}


.button2 {
  align-self: center;
  margin: 5px 0;
  padding: 8px;
  border-radius: 5px;
  border: none;
  cursor: pointer;
  transition: 0.5s;
  background-color: #3f51b5;
  color: white;
  width: 544px;
}

.button2:hover {
  background-color: #2c3e50;
}

.display-board {
  align-self: center;
  border: 1px solid white;
  width: 502px;
  height: 502px;
  background-color: rgba(0, 0, 0, 0.6);
  color: white;
  padding: 20px;
  border-radius: 5px;
}

.display-board2 {
  align-self: center;
  overflow: auto;
  margin-top: 10px;
  border: 1px solid white;
  width: 502px;
  height: 200px;
  background-color: rgba(0, 0, 0, 0.6);
  color: white;
  padding: 20px;
  border-radius: 5px;
}

.label {
  color: white;
  font-weight: bold;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
  margin-bottom: 0px;
}

.select-poster {
  width: 100%;
  margin: 5px 0;
  padding: 8px;
  border-radius: 5px;
  border: none;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.3);
}

.quest-board h2 {
  margin-top: 0;
}

.quest-board p {
  margin-bottom: 0;
}

.posters {
  align-self: center;
  width: 90%;
}

.display-board2 p {
  font-size: 12px;
  margin: 0;
  padding: 0;
  display: inline-block;
  text-align: left;
  position: relative;
  left: 50%;
  transform: translateX(-50%);
}

.switch {
  display: flex;
  align-items: center;
  justify-content: center; /* Add this line */
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: relative;
  cursor: pointer;
  width: 40px;
  height: 20px;
  border-radius: 20px;
  background-color: #ccc;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 16px;
  width: 16px;
  left: 2px;
  bottom: 2px;
  border-radius: 50%;
  background-color: white;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(20px);
  -ms-transform: translateX(20px);
  transform: translateX(20px);
}

.switch-label {
  color: white;
  font-weight: bold;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
  margin-bottom: 0px;
  margin-right: 0px;
}
